-- Lock down local environment. Set function environment to the localization
-- table.
local PowerAuras = _G["PowerAuras"];
setfenv(1, PowerAuras.L);

-- Ensure current locale matches one on file.
-- if(GetLocale() != "enUS") then return; end

Alive               = "Alive";
Autosize            = "Auto-Size";
Combat              = "Combat";
Mounted             = "Mounted";
PvP                 = "PvP Flagged";
InRaid              = "In Raid";
InParty             = "In Party";
InVehicle           = "In Vehicle";
IsLeader            = "Is Group Leader";
IsAssist            = "Is Raid Assist";
Absolute            = "Absolute Values";
Action              = "Action";
ActionID            = "Action %d";
Actions             = "Actions";
ActionsPerFrame     = "Action Update Speed";
Activation          = "Activation";
Active              = "|cFF00FF00Active|r";
AddDisplay          = "Add Display";
Advanced            = "Advanced";
AdvancedEditor      = "Advanced Editor";
AggroBasicTooltip   = "Activates based upon your threat situation against any enemy in the immediate area.";
AggroDetailTooltip  = "Activates based upon a given unit's threat levels or situation against another unit.";
AggroRaw            = "Threat Level";
AggroRawTooltip     = "Threat percentage against unit, relative to the current tank.";
AggroRet            = "Track";
AggroScaled         = "Threat Level (Scaled)";
AggroScaledTooltip  = "Threat percentage against unit.";
AggroStatus         = "Threat Status";
AggroStatus0        = "Low Threat";
AggroStatus0Tooltip = "You have less than 100% raw threat."
AggroStatus1        = "High Threat";
AggroStatus1Tooltip = "You have more than 100% raw threat."
AggroStatus2        = "Low Threat (Tanking)";
AggroStatus2Tooltip = "You are the target of an enemy, and another unit has more than 100% raw threat.";
AggroStatus3        = "High Threat (Tanking)";
AggroStatus3Tooltip = "You are the target of an enemy, and no other units have more than 100% raw threat.";
AggroStatusTooltip  = "Basic threat status against unit.";
AggroUnit1          = "Unit";
AggroUnit2          = "Enemy";
AggroValue          = "Threat Value";
AggroValueTooltip   = "Raw threat value against unit.";
Alpha               = _G["OPACITY"];
Anchor              = "Anchor Point";
Angle               = "Angle";
Animations          = "Animations";
AnimType            = "Animation Type";
Any                 = "Any";
AnyNone             = "Any or None";
Apply               = "Apply";
Assist              = "Assist";
AuraID              = "Aura %d";
Auras               = _G["AURAS"];
Automatic           = "Automatic";
AvailableTriggers   = "Available Triggers";
Background          = "Background";
Basic               = "Basic";
BasicEditor         = "Basic Editor";
Blend               = "Blend";
Both                = "Both";
BOTTOM      = "Bottom";
BOTTOMLEFT  = "Bottom Left";
BOTTOMRIGHT = "Bottom Right";
Browser             = "Aura Browser";
Buff                = "Buff";
Cancel              = "Cancel";
CENTER      = "Center";
Charges             = "Charges";
ClassNoTotems       = "Your class does not have any totems.";
Close               = "Close";
Color               = "Color";
CopyMove            = "Copy/Move";
Count               = "Count";
CurrentSequence     = "Current Sequence";
CurrentTrigger      = "Current Trigger";
CustomMax           = "Custom Maximum";
Debuff              = "Debuff";
DebuggerLogCopyText = "Opens an editbox with this line and stack trace for copying.";
DebuggerLogCopyTitle = "Copy";
DebuggerLogFilterText = "Filters the line from showing up in the debug log for the rest of this session.\n\n|cFFFFD100Filter match:|r\n%s";
DebuggerLogFilterTitle = "Filter";
DebuggerLogHeader = "Debug";
DebuggerLogNotEnabled = "Debug message logging is not enabled.";
DebuggerLogTH1 = "Message:";
DebuggerLogTH2 = "Stack Trace:";
DebuggerLogTH3 = "Locals:";
DebuggerProfilerCPU = "CPU Usage: %.2fms (%.2f%%)";
DebuggerProfilerCVar = "Enable Profiling";
DebuggerProfilerFilterActionFuncs = "Actions";
DebuggerProfilerFilterAutoFuncs = "Misc. Functions";
DebuggerProfilerFilterDisplayFuncs = "Displays";
DebuggerProfilerFilterProviderFuncs = "Providers";
DebuggerProfilerFilters = "Filter by...";
DebuggerProfilerFilterScriptFuncs = "Script Handlers";
DebuggerProfilerMem = "Memory usage: %.2f%s";
DebuggerProfilerSubs = "Include Subroutines";
DebuggerProfilerTH1 = "Function";
DebuggerProfilerTH2 = "Calls";
DebuggerProfilerTH3 = "Calls/sec";
DebuggerProfilerTH4 = "Avg. Time";
DebuggerProfilerTH5 = "Total Time";
DebuggerProfilerTH6 = "Overall";
Decay               = "Decay";
Defensive           = "Defensive";
Default             = "Default";
Defaults            = "Defaults";
Delete              = "Delete";
DeleteAction        = "Delete Action";
DeleteAnimation     = "Delete Animation";
DeleteAura          = "Delete Aura";
DeleteChannel       = "Delete Channel";
DeleteDisplay       = "Delete Display";
DeleteSequence      = "Delete Sequence";
DeleteTrigger       = "Delete Trigger";
DeleteUnusedResources = "Cleaning up...";
Desaturate          = "Desaturate";
Detailed            = "Detailed";
DialogDeleteAction = "Are you sure you want to delete this action?";
DialogDeleteAnimation = "Are you sure you want to delete this animation?";
DialogDeleteAura = "Are you sure you want to delete this aura?";
DialogDeleteChannel = "Are you sure you want to delete this channel?";
DialogDeleteDisplay = "Are you sure you want to delete this display?";
DialogDeleteSequence = "Are you sure you want to delete this sequence?";
DialogDeleteTrigger = "Are you sure you want to delete this trigger?";
DialogResetStyle = "Reset the style of this display?";
Disabled            = _G["VIDEO_OPTIONS_DISABLED"];
Display             = "Display";
DisplayDeselect = "Deselect Display";
DisplayID           = "Display %d";
DisplayIDFunc       = "Display %d (%s)";
DisplayParent       = "Parent Display";
Displays            = "Displays";
DisplaySelect = "Select Display";
Duration            = "Duration";
DurationDelay       = "Custom Duration/Delay"
EditName            = "Edit Name";
Editor              = "Aura Editor";
EditorActionsSeqCountErr = "Cannot delete the final sequence of an action."
EditorActivateDropdown   = "Activation Type";
EditorActivateDropdownH1 = "Advanced Types";
EditorActivateDropdownH2 = "Basic Types";
EditorActivateDropdownI1 = "Multiple Triggers";
EditorActivateInvert     = "Invert";
EditorActivateRedirect = "The basic editor is unavailable: %s";
EditorActivateRedirectReasons = {
	["BROKEN_SEQUENCE"]            = "This action references triggers that do not exist.",
	["DUPLICATE_SUPPORT_TRIGGERS"] = "This action has multiple copies of a single 'Support' trigger type.",
	["MULTIPLE_MAIN_TRIGGERS"]     = "This action has multiple 'Main' triggers.",
	["MULTIPLE_SEQUENCES"]         = "This action has multiple sequences.",
	["SEQUENCE_COMPLEX"]           = "This action has complex sequence logic (only '&' and '!' are permitted).",
};
EditorDisplaysHelpAnim = "|cFFFFFFFFSelect an animation type from the left.";
EditorDisplaysHelpDisplay = "|cFFFFFFFFSelect a section on the left that you want to modify.|r";
EditorDisplaysHelpStyle = "|cFFFFFFFFUse the controls on the left to change how the display looks. The preview above will automatically update.";
EditorServicesNoServices = "Create a service by clicking the Add button in the sidebar.";
Enabled             = _G["VIDEO_OPTIONS_ENABLED"];
Event               = "Event";
EventExists         = "Event '%s' already exists.";
Events              = "Events";
Exact               = "Exact";
Export              = "Export";
ExportAction        = "Export Action";
ExportAnimation     = "Export Animation";
ExportAura          = "Export Aura";
ExportChannel       = "Export Channel";
ExportDisplay       = "Export Display";
ExportSequence      = "Export Sequence";
ExportTrigger       = "Export Trigger";
FilterBy            = "Filter by...";
Filters             = _G["FILTERS"];
Flashes             = "Flashes";
Flip                = "Flip";
Font                = "Font";
FontSize            = "Font Size";
General             = "General";
GeneratedFunction   = "Generated Function";
Glow                = "Glow";
Group               = "Group";
GUIErrorNoFrame = "Widget class '%s' failed to return a frame.";
GUIErrorNotReusable = "Cannot add widgets that don't inherit ReusableWidget to the layout.";
GUIErrorWidgetClassAbstract = "Widget class '%s' is abstract, and cannot be instantiated directly.";
GUIErrorWidgetClassExists = "Widget class '%s' already exists.";
GUIErrorWidgetClassMissing = "Widget class '%s' does not exist.";
Height              = "Height";
Help                = _G["HELP_LABEL"];
HelpButtonTooltipText = "Click to toggle the help system for this frame.";
HelpButtonTooltipTitle = _G["HELP_LABEL"];
HideLeadingZeros    = "Hide Leading Zeroes";
High                = "High";
Horizontal          = "Horizontal";
IgnoreCase          = "Ignore Case";
IgnoreGCD           = "Ignore GCD";
IgnoreGCDEnd        = "Ignore GCD End";
Inactive            = "|cFF7F7F7FInactive|r";
Individuals         = "Individuals";
InfoHideInCombat = "You are currently in combat.";
InfoHidingFromCombat = "The editor has been hidden as you have entered combat.";
InvalidAutoTrigger  = "We cannot automatically configure the source because the chosen trigger either does not support the required services, or does not exist.";
Invert              = "Invert";
IsMine              = "Is Mine";
Known               = "Known";
Layout              = "Layout";
LayoutID            = "Layout %d";
LayoutPositioning   = "Positioning";
Layouts             = "Layouts";
LEFT        = "Left";
Loaded              = "Loaded";
Low                 = "Low";
MainHand            = "Main Hand";
MainTrigger         = "Main Trigger";
Match               = "Match";
MatchAll            = "Check All";
MatchAllTooltip     = "Checks this trigger on all of the selected units.";
MatchAny            = "Check Any";
MatchAnyTooltip     = "Checks this trigger on any of the selected units.";
Matches             = "Matches";
MatchID             = "Match #%d";
MatchType           = "Match Type";
Medium              = "Medium";
Mod                 = "Mod";
Monochrome          = "Monochrome";
Multiple            = "Multiple";
Name                = "Name";
New                 = "New";
NewAction           = "New Action";
NewAnimation        = "New Animation";
NewAura             = "New Aura";
NewChannel          = "New Channel";
NewDisplay          = "New Display";
NewEvent            = "New Event";
NewSequence         = "New Sequence";
NewTrigger          = "New Trigger";
NoActions           = "Create a display action by clicking the |TInterface\\PaperDollInfoFrame\\Character-Plus:10:10:1:6|t New Action button in the task list on the left.";
None                = "None";
Normal              = "Normal";
NotLoaded           = "Not Loaded";
OffHand             = "Off Hand";
Okay                = "Okay";
OnHide              = "On Hide";
OnShow              = "On Show";
OnUpdateThrottle    = "Update Speed";
Operator            = "Operator";
Options             = "Options";
Outline             = "Outline";
Page                = "Page";
Passive             = "Passive";
PatternMatch        = "Use as Pattern";
Performance         = "Performance";
PreviewAltLeftClick     = "Toggle Anchor Points";
PreviewAnchorLeftClick1 = "Select Point";
PreviewAnchorLeftClick2 = "Attach to here";
PreviewAnchorRightClick = "Cancel Anchoring";
PreviewCtrlLeftClick    = "Drag/Move Display";
PreviewLeftClick        = "Edit Display";
Profiles            = "Profiles";
ProviderID          = "Provider %d";
ProviderIDSvc       = "Provider %d (%s)";
Providers           = "Providers";
ProvidersPerFrame   = "Source Update Speed";
Pulses              = "Pulses";
ReindexResourceAuraID = "Deleting aura...";
RelativeAnchor      = "Relative Point";
Repeat              = "Repeat";
Reset               = "Reset";
Resources           = "Resources";
RIGHT       = "Right";
Rotation            = "Rotation";
RuneID              = "Rune %d";
RuneTypes           = "%s or %s";
Save                = "Save";
Scale               = "Scale";
Seconds99           = "Seconds at 99";
SequenceID          = "Sequence %d";
Service             = "Service";
Shaped              = "Shaped";
ShapedHelpLeft      = "Next Rune Type";
ShapedHelpRight     = "Previous Rune Type";
ShapedTooltip       = "Activates whenever you have the specified runes available in these exact slots.";
Shapeless           = "Shapeless";
ShapelessAltLeft    = "Reset Rune";
ShapelessCtrlLeft   = ("Show %s Replacement"):format(_G.COMBAT_TEXT_RUNE_DEATH);
ShapelessLeft       = "Next Rune Type";
ShapelessRepl       = "Replaces";
ShapelessShiftLeft  = ("Toggle %s"):format(_G.COMBAT_TEXT_RUNE_DEATH);
ShapelessTooltip    = "Activates whenever you have the specified runes available, regardless of their slots."
ShowBarGlow         = "Show Bar Glow";
Showing             = "Showing";
ShowHundredths      = "Show Hundredths";
ShowHundredthsBelow = "Hundredths Below";
ShowTenths          = "Show Tenths";
ShowTenthsBelow     = "Tenths Below";
Single              = "Single";
Situation           = "Threat Situation";
SlotID              = "Slot %d";
Sounds              = "Sounds";
Sources             = "Sources";
Speed               = "Speed";
SpellIcon           = "Spell Name/ID (Icon)";
Spins               = "Spins";
Stacks              = "Stacks";
StacksSource        = "Source";
StacksSource0       = "Stack Count";
StacksSource1       = "Tooltip Value 1";
StacksSource2       = "Tooltip Value 2";
StacksSource3       = "Tooltip Value 3";
Stance              = "Stance";
State               = "State";
StateBeginHide      = "Begin Hide";
StateBeginHideTT    = "Activated when the Hide animation of the display starts to play. Doesn't fire if the display has no Hide animation.";
StateBeginShow      = "Begin Show";
StateBeginShowTT    = "Activated when the Show animation of the display starts to play. Doesn't fire if the display has no Show animation.";
StateHide           = "Hidden";
StateHideTT         = "Activated when the display is fully hidden, and after any existing Hide animations have finished.";
StateShow           = "Shown";
StateShowTT         = "Activated when the display is showing, and if any existing Show animations have finished.";
StaticAnims         = "Show/Hide Animations";
Status              = _G["STATUS"];
Stealable           = "Can Steal/Purge";
Strata              = "Layer";
Style               = "Style";
SupportTriggers     = "Support Triggers";
Template            = "Template";
Text                = "Text";
Texture             = "Texture";
Thick               = "Thick";
TimeActive          = "Time Active";
TimeRemaining       = "Time Remaining";
TimeDuration        = "Total Duration";
TimeSinceActivation = "Show Time Active";
TooltipMatch        = "Match Tooltip";
TooltipMatchText    = "Tooltip Text";
TOP         = "Top";
TOPLEFT     = "Top Left";
TOPRIGHT    = "Top Right";
TotalTime           = "Show Overall Time";
Trigger             = "Trigger";
TriggeredAnims      = "Triggered";
TriggerNoConf       = "This trigger has no configuration options."
TriggerNone         = "You have no trigger configured in this category.";
TriggerOperators    = "Trigger Operators";
Triggers            = "Custom Triggers";
TutorialCompDate = "|cFFFFDD00Completed on: |r%s";
TutorialComplete = "Tutorial Completed";
TutorialCompleteName = "Completed: %s";
TutorialEstTime  = "|cFFFFDD00Estimated time: |r%s";
TutorialIncomp   = "|cFFFFDD00Not yet completed|r";
TutorialRootDesc = "Select a tutorial category from the list on the left.";
Tutorials           = "Tutorials";
TutorialSteps    = "|cFFFFDD00Steps: |r%d";
TutorialWtfRUDoingHereNoob = "A tutorial is currently in progress, would you like to cancel it?";
Type                = "Type";
Unit                = "Unit";
Usable              = "Usable";
UsedTriggers        = "Used Triggers";
UsingTrigger        = "|cFFFFDD00Using Trigger %d: |r%s";
Value               = "Value";
VehicleCombo        = "Vehicle Combo Points";
Vertical            = "Vertical";
WideDigits          = "Wide Digits";
Width               = "Width";
X                   = "X";
Y                   = "Y";